# TdApi.InputFileGenerated (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InputFileGenerated

Package it.tdlight.jni

# Class TdApi.InputFileGenerated

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputFile
it.tdlight.jni.TdApi.InputFileGenerated

Enclosing class:
  TdApi

    public static class TdApi.InputFileGenerated
    extends TdApi.InputFile

A file generated by the application.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `conversion` | String specifying the conversion applied to the original file; must be persistent across application restarts.
`int` | `expectedSize` | Expected size of the generated file, in bytes; 0 if unknown.
`String` | `originalPath` | Local path to a file from which the file is generated; may be empty if there is no such file.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InputFileGenerated()` | A file generated by the application.
`InputFileGenerated​(DataInput input)` |
`InputFileGenerated​(String originalPath, String conversion, int expectedSize)` | A file generated by the application.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### originalPath

public String originalPath
Local path to a file from which the file is generated; may be empty if there is no such file.

### conversion

public String conversion
String specifying the conversion applied to the original file; must be persistent across application restarts. Conversions beginning with '#' are reserved for internal TDLib usage.

### expectedSize

public int expectedSize
Expected size of the generated file, in bytes; 0 if unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InputFileGenerated

public InputFileGenerated()
A file generated by the application.

### InputFileGenerated

public InputFileGenerated​(String originalPath, String conversion, int expectedSize)
A file generated by the application.

Parameters:
  `originalPath` - String Local path to a file from which the file is generated; may be empty if there is no such file.
  `conversion` - String String specifying the conversion applied to the original file; must be persistent across application restarts. Conversions beginning with '#' are reserved for internal TDLib usage.
  `expectedSize` - int Expected size of the generated file, in bytes; 0 if unknown.

### InputFileGenerated

public InputFileGenerated​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`